Subject: Re: bug#58771: 29.0.50; context submenu can not click when run emacs lucid build.

From: Stephen Berman <[email-masked]>
Date: Wed, 26 Oct 2022 11:40:18 +0200

On Wed, 26 Oct 2022 13:48:57 +0530 Visuwesh <[email-masked]> wrote:

> Isn't this yet another duplicate of bug#57320?

Possibly.  I vaguely remember reading it but I'll look again when I have
time.

> [புதன் அக்டோபர் 26, 2022] Stephen Berman wrote:
>
>> I've done only elementary debugging with gdb and never from a different
>> machine, so I will need explicit instructions for how to set it up and
>> what to enter, and if it's not straightforward, I probably can't do it
>> soon.
>
> I ssh'd into my laptop from my phone to do the debugging.  More info on
> what I did can be found in bug#57320, and specific instructions are in
> https://yhetil.org/emacs-bugs/[email-masked].  HTH.
>
>> But there may be a (for me) quicker way to investigate the issue: I'm in
>> the process of building a new system on this machine, which is an
>> updated version of my current system (on a different partition), and one
>> of the first programs I built after installing the basic system is
>> Emacs, first before installing X, then again with X but before
>> installing GTK.  On this system, the X build used the Lucid toolkit, and
>> with it I did not observe the menu problems I described.  Aside from
>> different versions of system libraries like glibc and build tools like
>> gcc, the two builds differ in their Emacs-specific configurations.  The
>> build with the menu problems used
>
> IME, this bug goes away when you re-./configure Emacs so there's no
> surprise this disappeared in your case.  It would be of help if I could
> run the debug build all the time and wait for the menu bug to eventually
> show up but alas it is far too slow for me to use it daily...
>
>> [configure lines.]
>> I'll try using the other configuration on the new system and see if that
>> makes a difference (though I probably won't get to that till this
>> evening.)
>
> I don't think the specifics of the configuration options matter as long
> as you run the Lucid build.

Thanks for the feedback and advice, I'll try to follow up on it.

Steve Berman